<?php

use Illuminate\Database\Migrations\Migration;

class CreateSalariesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: salaries
         */
        Schema::create('salaries', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->integer('department_id')->nullable();
            $table->integer('employee_id')->nullable();
            $table->string('name', 250)->nullable();
            $table->float('monthly_pay')->nullable();
            $table->float('fixed_allowance')->nullable();
            $table->integer('fixed_allowance_code')->nullable();
            $table->float('fixed_deduction')->nullable();
            $table->integer('fixed_deduction_code')->nullable();
            $table->string('currency', 255)->nullable();
            $table->string('bank_name', 255)->nullable();
            $table->string('account_no', 255)->nullable();
            $table->string('branch_name', 255)->nullable();
            $table->string('ifsc_code', 255)->nullable();
            $table->string('swift_code', 255)->nullable();
            $table->string('slug', 200)->nullable();
            $table->enum('status', ['draft', 'complete', 'verify', 'approve', 'publish', 'unpublish', 'archive'])->default('draft')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type',50)->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('salaries');
    }
}
