@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('salary::salary.name') !!} <small> {!! trans('app.manage') !!} {!! trans('salary::salary.names') !!}</small>
@stop

@section('title')
{!! trans('salary::salary.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('salary::salary.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='salary-salary-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="salary-salary-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('salary::salary.label.company_id')!!}</th>
                    <th>{!! trans('salary::salary.label.department_id')!!}</th>
                    <th>{!! trans('salary::salary.label.employee_id')!!}</th>
                    <th>{!! trans('salary::salary.label.name')!!}</th>
                    <th>{!! trans('salary::salary.label.monthly_pay')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_allowance')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_allowance_code')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_deduction')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_deduction_code')!!}</th>
                    <th>{!! trans('salary::salary.label.currency')!!}</th>
                    <th>{!! trans('salary::salary.label.status')!!}</th>
                    <th>{!! trans('salary::salary.label.created_at')!!}</th>
                    <th>{!! trans('salary::salary.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('search[company_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[department_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[employee_id]')->raw()!!}</th>
                    <th>{!! Form::text('search[name]')->raw()!!}</th>
                    <th>{!! Form::text('search[monthly_pay]')->raw()!!}</th>
                    <th>{!! Form::text('search[fixed_allowance]')->raw()!!}</th>
                    <th>{!! Form::text('search[fixed_allowance_code]')->raw()!!}</th>
                    <th>{!! Form::text('search[fixed_deduction]')->raw()!!}</th>
                    <th>{!! Form::text('search[fixed_deduction_code]')->raw()!!}</th>
                    <th>{!! Form::text('search[currency]')->raw()!!}</th>
                    <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#salary-salary-entry', '{!!trans_url('admin/salary/salary/0')!!}');
    oTable = $('#salary-salary-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/salary/salary') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#salary-salary-list .search_bar input, #salary-salary-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'company_id'},
                    {data :'department_id'},
                    {data :'employee_id'},
                        {data :'name'},
                    {data :'monthly_pay'},
                    {data :'fixed_allowance'},
                    {data :'fixed_allowance_code'},
                    {data :'fixed_deduction'},
                    {data :'fixed_deduction_code'},
                    {data :'currency'},
                                                {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#salary-salary-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#salary-salary-list').DataTable().row( this ).data();

        $('#salary-salary-entry').load('{!!trans_url('admin/salary/salary')!!}' + '/' + d.id);
    });

    $("#salary-salary-list .search_bar input, #salary-salary-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

