<div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="header with-sub" data-background-color="red">
                        <div class="row">
                            <div class="col-sm-8 title-main">
                                <i class="pe-7s-display2"></i>
                                <h4 class="title">{!! trans('salary::salary.title.user') !!}</h4>
                                <p class="sub-title">{!! trans('salary::salary.title.sub.user') !!}</p>
                            </div>
                            <div class="col-sm-4">
                                <div class="header-form">
                                    {!!Form::open()
                                   ->method('GET')
                                   ->class('form pn')
                                   ->action(trans_url(get_guard('url').'/salary/salary'))!!}
                                    <div class="form-group form-white mn">
                                      {!!Form::text('search')->type('text')->placeholder('Search')->raw()!!}
                                    </div>
                                    <button type="submit" class="btn btn-icon btn-round btn-white btn-raised search-btn"><i class="fa fa-search"></i></button>
                                    {!! Form::close()!!}
                                    <a href="{!!trans_url(get_guard('url').'/salary/salary/create')!!}" rel="tooltip" class="btn btn-white btn-round btn-simple btn-icon pull-right add-new" data-original-title="" title="">
                                        <i class="fa fa-plus-circle"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="content table-responsive table-full-width">
                        @include('public::notifications')
                        <table class="table table-bigboy">
                            <thead>
                                <tr>
                                    <th class="text-center">Image</th>
                                    <th>{!! trans('salary::salary.label.company_id')!!}</th>
                    <th>{!! trans('salary::salary.label.department_id')!!}</th>
                    <th>{!! trans('salary::salary.label.employee_id')!!}</th>
                    <th>{!! trans('salary::salary.label.name')!!}</th>
                    <th>{!! trans('salary::salary.label.monthly_pay')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_allowance')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_allowance_code')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_deduction')!!}</th>
                    <th>{!! trans('salary::salary.label.fixed_deduction_code')!!}</th>
                    <th>{!! trans('salary::salary.label.currency')!!}</th>
                    <th>{!! trans('salary::salary.label.status')!!}</th>
                    <th>{!! trans('salary::salary.label.created_at')!!}</th>
                    <th>{!! trans('salary::salary.label.updated_at')!!}</th>
                                    <th></th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse($salaries as $salary)
                                <tr>
                                    <td>
                                        <div class="img-container">
                                            <a href="{{trans_url('salary')}}/{{$salary->getPublickey()}}">
                                              <img alt="" class="img-responsive" src="{!!url($salary->defaultImage('sm','images'))!!}">
                                            </a>
                                        </div>
                                    </td>
                                    <td>{{ $salary->company_id }}</td>
                    <td>{{ $salary->department_id }}</td>
                    <td>{{ $salary->employee_id }}</td>
                    <td>{{ $salary->name }}</td>
                    <td>{{ $salary->monthly_pay }}</td>
                    <td>{{ $salary->fixed_allowance }}</td>
                    <td>{{ $salary->fixed_allowance_code }}</td>
                    <td>{{ $salary->fixed_deduction }}</td>
                    <td>{{ $salary->fixed_deduction_code }}</td>
                    <td>{{ $salary->currency }}</td>
                                    <td class="td-actions">
                                        <a href="{{trans_url('salary')}}/{!!$salary->getRouteKey()!!}" rel="tooltip" data-toggle="tooltip" data-placement="top" title="View Salary" class="btn btn-info btn-simple">
                                            <i class="material-icons">panorama</i>
                                        </a>
                                        <a href="{!! trans_url(get_guard('url').'/salary/salary') !!}/{!! $salary->getRouteKey() !!}/edit" rel="tooltip" data-toggle="tooltip" data-placement="top" title="Edit Salary" class="btn btn-success btn-simple">
                                            <i class="material-icons">edit</i>
                                        </a>
                                        <a rel="tooltip" data-toggle="tooltip" data-placement="top" title="Remove Salary" class="btn btn-danger btn-simple" data-action="DELETE" data-href="{!! trans_url(get_guard('url').'/salary/salary') !!}/{!! $salary->getRouteKey() !!}" data-remove="{!! $salary->getRouteKey() !!}">
                                            <i class="material-icons">close</i>
                                        </a>
                                    </td>
                                </tr>
                                @empty
                                <tr>
                                    <td><h4>No salaries found.</h4></td>
                                </tr>
                                @endif
                                
                            </tbody>
                        </table>
                    </div>
                    <div class="footer">
                        {{$salaries->links()}}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>