<?php

namespace Payroll\Salary\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Payroll\Salary\Interfaces\SalaryRepositoryInterface;

class SalaryPublicController extends BaseController
{
    // use SalaryWorkflow;

    /**
     * Constructor.
     *
     * @param type \Payroll\Salary\Interfaces\SalaryRepositoryInterface $salary
     *
     * @return type
     */
    public function __construct(SalaryRepositoryInterface $salary)
    {
        $this->repository = $salary;
        parent::__construct();
    }

    /**
     * Show salary's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $salaries = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('salary::public.salary.index', compact('salaries'))->render();
    }

    /**
     * Show salary.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $salary = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('salary::public.salary.show', compact('salary'))->render();
    }

}
