<?php

namespace Payroll\Salary\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SalaryListTransformer extends TransformerAbstract
{
    public function transform(\Payroll\Salary\Models\Salary $salary)
    {
        return [
            'id'                => $salary->getRouteKey(),
            'id'                => $salary->id,
            'company_id'        => $salary->company_id,
            'department_id'     => $salary->department_id,
            'employee_id'       => $salary->employee_id,
            'slug'              => $salary->slug,
            'name'              => $salary->name,
            'monthly_pay'       => $salary->monthly_pay,
            'fixed_allowance'   => $salary->fixed_allowance,
            'fixed_allowance_code' => $salary->fixed_allowance_code,
            'fixed_deduction'   => $salary->fixed_deduction,
            'fixed_deduction_code' => $salary->fixed_deduction_code,
            'currency'          => $salary->currency,
            'bank_name'         => $salary->bank_name,
            'account_no'        => $salary->account_no,
            'branch_name'       => $salary->branch_name,
            'ifsc_code'         => $salary->ifsc_code,
            'swift_code'        => $salary->swift_code,
            'created_at'        => $salary->created_at,
            'updated_at'        => $salary->updated_at,
            'deleted_at'        => $salary->deleted_at,
            'status'            => trans('app.'.$salary->status),
            'created_at'        => format_date($salary->created_at),
            'updated_at'        => format_date($salary->updated_at),
        ];
    }
}