<?php

namespace Payroll\Salary;

use User;

class Salary
{
    /**
     * $salary object.
     */
    protected $salary;

    /**
     * Constructor.
     */
    public function __construct(\Payroll\Salary\Interfaces\SalaryRepositoryInterface $salary)
    {
        $this->salary = $salary;
    }

    /**
     * Returns count of salary.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.salary.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->salary->pushCriteria(new \Litepie\Payroll\Repositories\Criteria\SalaryUserCriteria());
        }

        $salary = $this->salary->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('salary::' . $view, compact('salary'))->render();
    }
}
