<?php

namespace Payroll\Salary\Workflow;

use Payroll\Salary\Models\Salary;
use Payroll\Salary\Notifications\Salary as SalaryNotifyer;
use Notification;

class SalaryNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function complete(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function verify(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function approve(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function publish(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function archive(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Salary $salary
     *
     * @return void
     */
    public function unpublish(Salary $salary)
    {
        return Notification::send($salary->user, new SalaryNotifyer($salary, 'unpublish'));;

    }
}
